Create release
curl --request POST \
--url https://api.interfere.com/v3/releases \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"buildId": "0123456789abcdef0123456789abcdef01234567",
"destination": null,
"source": {
"provider": "github",
"branch": "main",
"commitMessage": "Fix checkout validation",
"commitSha": "0123456789abcdef0123456789abcdef01234567"
}
}
'import requests
url = "https://api.interfere.com/v3/releases"
payload = {
"buildId": "0123456789abcdef0123456789abcdef01234567",
"destination": None,
"source": {
"provider": "github",
"branch": "main",
"commitMessage": "Fix checkout validation",
"commitSha": "0123456789abcdef0123456789abcdef01234567"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
buildId: '0123456789abcdef0123456789abcdef01234567',
destination: null,
source: {
provider: 'github',
branch: 'main',
commitMessage: 'Fix checkout validation',
commitSha: '0123456789abcdef0123456789abcdef01234567'
}
})
};
fetch('https://api.interfere.com/v3/releases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"build": {
"hash": "<string>"
},
"destination": {
"id": "<string>",
"slug": "<string>",
"environment": "<string>"
},
"org": {
"id": "<string>",
"slug": "<string>"
},
"source": {
"id": "<string>"
},
"surface": {
"id": "<string>",
"slug": "<string>"
}
}{
"code": "AUTH_MISSING",
"message": "<string>",
"service": "collector"
}{
"code": "AUTH_AK_SCOPE_MISMATCH",
"message": "<string>",
"service": "collector"
}{
"code": "INGEST_INFRA_UNAVAILABLE",
"message": "<string>",
"service": "collector"
}Create release
Registers a release for the surface the build-time key belongs to.
POST
/
v3
/
releases
Create release
Authorizations
apiKeyapiKeyHeader
Build-time secret key of the surface, as issued in the Interfere dashboard
Body
application/json
Request body for creating a release.
Response
Release recorded
Response body returned after creating a release.
Was this page helpful?
⌘I